﻿using System;
using System.Collections.Generic;
using System.Windows;

namespace LabelPresenterInFieldChooser
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            var list = new List<SampleData>();
            list.Add(new SampleData("Mr Khan", "Finance", 1000, "Khan@abc.com", DateTime.Now.AddDays(1), DateTime.Now));
            list.Add(new SampleData("Mr Adeel", "HR", 1020, "Irfan@abc.com", DateTime.Now.AddDays(2), DateTime.Now.AddHours(1)));
            list.Add(new SampleData("Mr Naseem", "Finance", 1000, "Naseem@abc.com", DateTime.Now.AddDays(3), DateTime.Now.AddHours(3)));
            list.Add(new SampleData("Mr Shaun", "HR", 1020, "Shaun@abc.com", DateTime.Now.AddDays(1), DateTime.Now.AddMinutes(4)));
            list.Add(new SampleData("Mr Cameron", "Development", 1000, "Cameron@abc.com", DateTime.Now.AddDays(6), DateTime.Now));

            xamDataGrid1.DataSource = null;
            xamDataGrid1.DataSource = list;
        }

        private void xamDataGrid1_Grouped(object sender, Infragistics.Windows.DataPresenter.Events.GroupedEventArgs e)
        {

        }
    }


    public class SampleData : global::System.ComponentModel.INotifyPropertyChanged
    {
        public Guid Id { get; set; }
        private string _name;
        public string Name 
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
                RaisePropertyChanged("Name");
            }
        }
        public string Department { get; set; }
        public double Salary { get; set; }
        public string Email { get; set; }
        public DateTime EntryDate { get; set; }
        public DateTime? RecordDate { get; set; }

        public SampleData(string name, string department, double salary, string email, DateTime entryDate, DateTime? recordDate)
        {
            Id = Guid.NewGuid();
            _name = name;
            Department = department;
            Salary = salary;
            Email = email;
            EntryDate = entryDate;
            RecordDate = recordDate;
        }

        #region INotifyPropertyChanged values

        public event global::System.ComponentModel.PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new global::System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
        #endregion
    }
}
